import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import {dotRecipe, roundStyle, UiAlfaModule} from "ui-alfa";
import {css} from "styled-system/css";

@Component({
	selector: 'app-buttons',
	standalone: true,
	imports: [CommonModule, UiAlfaModule],
	templateUrl: './buttons.component.html',
})
export class ButtonsComponent {
	protected readonly dotRecipe = dotRecipe;
	protected readonly container = css({
		display: "flex",
		flexWrap: "wrap"
	});
	protected readonly roundStyle = roundStyle;
}
