import {Injectable} from '@angular/core';
import {Subject} from "rxjs";

@Injectable({
	providedIn: 'root'
})
export class DemoPresenter {
	readonly update = new Subject<{index: number, value: number}>;

	public handleClick(index: number, value: number) {
		// presenter handle user interaction
		// and decide what to do with the event
		this.update.next({index: index, value: ++value});
	}
}
