import {Injectable} from '@angular/core';
import {of} from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class DemoService {

    data = Array.from({length: 10}, () => Math.floor(Math.random() * 10));
    constructor() { }

    getData() {
        return of(this.data);
    }

    update($event: { index: number; value: number }) {
        this.data[$event.index] = $event.value;
        return this.getData();
    }
}
