import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { BescheidSharedModule } from '@alfa-client/bescheid-shared';
import { CommandSharedModule } from '@alfa-client/command-shared';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { CreateBescheidButtonContainerComponent } from './create-bescheid-button-container/create-bescheid-button-container.component';
import { CreateBescheidButtonComponent } from './create-bescheid-button-container/create-bescheid-button/create-bescheid-button.component';

@NgModule({
	imports: [
		CommonModule,
		BescheidSharedModule,
		TechSharedModule,
		UiModule,
		CommandSharedModule
	],
	declarations: [
		CreateBescheidButtonContainerComponent,
		CreateBescheidButtonComponent,
	],
	exports: [
		CreateBescheidButtonContainerComponent
	]
})
export class BescheidModule { }
