import { Component, EventEmitter, Input, Output } from "@angular/core";
import { CommandResource } from "@alfa-client/command-shared";
import { StateResource } from "@alfa-client/tech-shared";

@Component({
	selector: 'alfa-loesch-anforderung-zuruecknehmen-button',
	templateUrl: './loesch-anforderung-zuruecknehmen-button.component.html',
	styleUrls: ['./loesch-anforderung-zuruecknehmen-button.component.scss'],
})
export class LoeschAnforderungZuruecknehmenButtonComponent {

	@Input() showAsIconButton: boolean = false;
	@Input() loeschAnforderungZuruecknehmenCommand: StateResource<CommandResource>;

	@Output() loeschAnforderungZuruecknehmen: EventEmitter<void> = new EventEmitter<void>();
}
