import { Component, Input } from '@angular/core';
import { css } from 'styled-system/css';
import {buttonStyle} from "./default.style";

@Component({
	selector: 'lib-button',
	templateUrl: './button.component.html',
})
export class ButtonComponent {
	@Input() label: string = '';
	@Input() labelRight: string = '';
	@Input() iconStyle: any = null;
	@Input() iconMat: any = null;
	@Input() routerLink: string[] = [];
	
	// Styling
	@Input() buttonStyle: string = buttonStyle;
	public readonly labelRightStyle: string = css({
		marginLeft: 'auto',
		paddingLeft: '5'
	});
}
