import { Component } from '@angular/core';
import { css } from 'styled-system/css';

@Component({
	selector: 'lib-sidebar-fixed',
	templateUrl: './sidebar-fixed.component.html',
})
export class SidebarFixedComponent {
	public readonly container: string = css({
		display: 'flex',
		gap: '1%',
		flexDirection: 'column',
		height: '100%', /* Full-height: remove this if you want "auto" height */
		width: 'fit-content', /* Set the width of the sidebar */
		position: 'sticky', /* Fixed Sidebar (stay in place on scroll) */
		zIndex: 1, /* Stay on top */
		top: 0, /* Stay at the top */
		left: 0,
		overflowX: 'hidden', /* Disable horizontal scroll */
	});
}
