import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ButtonComponent } from './button/button.component';
import { SidebarFixedComponent } from './sidebar-fixed/sidebar-fixed.component';
import {RouterModule} from "@angular/router";
import {MatIconModule} from "@angular/material/icon";

@NgModule({
	imports: [
		CommonModule,
		MatIconModule,
		RouterModule
	],
	declarations: [
		SidebarFixedComponent,
		ButtonComponent,
	],
	exports: [
		SidebarFixedComponent,
		ButtonComponent
	]
})
export class UiAlfaModule {}
