// TODO sebo: diese Datei später löschen
package de.ozgcloud.alfa.statistic;

import de.ozgcloud.vorgang.statistic.GrpcByStatusResult;
import de.ozgcloud.vorgang.statistic.GrpcPathCountResult;
import de.ozgcloud.vorgang.statistic.GrpcVorgangCountResponse;

public class GrpcVorgangCountTestFactory {

	public static final GrpcByStatusResult BY_STATUS = GrpcByStatusResultTestFactory.create();
	private static final GrpcPathCountResult PATH_COUNT_RESULT = GrpcPathCountResult.newBuilder()
			.setName(CountVorgangResponseTestFactory.PATH_COUNT_NAME)
			.setValue(CountVorgangResponseTestFactory.PATH_COUNT_VALUE)
			.build();

	public static GrpcVorgangCountResponse createResponse() {
		return createResponseBuilder().build();
	}

	public static GrpcVorgangCountResponse.Builder createResponseBuilder() {
		return GrpcVorgangCountResponse.newBuilder()
				.setByStatus(BY_STATUS)
				.addPathCountResult(PATH_COUNT_RESULT);
	}
}
