package de.ozgcloud.alfa.export;

import java.io.StringWriter;

import javax.xml.transform.stream.StreamResult;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.oxm.jaxb.Jaxb2Marshaller;
import org.springframework.stereotype.Component;

import de.xoev.xdomea.AbgabeAbgabe0401;

@Component
public class XDomeaXmlMarshaller {

	@Autowired
	private Jaxb2Marshaller marshaller;

	public String marshal(AbgabeAbgabe0401 abgabe) {
		var stringWriter = new StringWriter();
		marshaller.marshal(abgabe, new StreamResult(stringWriter));
		return stringWriter.toString();
	}
}
