# Alfa Frontend

Informationen zur lokalen Installation sind unter [dokumentation/Entwicklungsumgebung/README.md](https://git.ozg-sh.de/ozgcloud-doc/dokumentation/src/branch/master/Entwicklungsumgebung/README.md#angular-frontend) abgelegt.

Befehle und Tipps zum Umgang mit der Codebasis und zur Testerstellung liegen in [dokumentation/Entwicklung/Angular.md](https://git.ozg-sh.de/ozgcloud-doc/dokumentation/src/branch/master/Entwicklung/Angular.md).

## Alfa Frontend starten

Um das Alfa Frontend zum Laufen zu bekommen, muss zunächst ein `npm install` ausgeführt werden.

-> nach dem Ausführen sollte sich ein `node_modules` Ordner im Verzeichnis befinden.

Im Anschluß wird das Alfa Frontend über `npm start` gestartet.

Hinweise:

* Bei Fehler _npm ERR! Unable to authenticate, need: BASIC realm="Sonatype Nexus Repository Manager"_:
  * Prüfen, ob eine Datei _.npmrc_ in _alfa/alfa_ liegt, die den selben Inhalt hat wie die _.npmrc_, die in _apps/alfa-e2e/Jenkinsfile_ angelegt wird.
  * Alternative: Die Installation mit dem offiziellen NPM-Repository ausführen: `npm install --registry=https://registry.npmjs.org/`
* Bei nicht nachvollziehbaren Problemen während der Installation kann es helfen, den `node_modules` Ordner und die _package-lock.json_ zu löschen und anschließend erneut zu installieren.
* Prüfen, dass `npm install` die _package-lock.json_ nicht anpasst, wenn das nicht wirklich gewollt ist. Das kann geschehen, wenn ein älteres/neueres NPM verwendet wurde oder ein NPM-Proxy in der _~/.npmrc_ eingetragen ist.
