import { Route } from '@angular/router';
import {SidebarComponent} from "./sidebar/sidebar.component";
import {ButtonsComponent} from "./buttons/buttons.component";
import {DemoContainerComponent} from "./mvp-demo/demo-container.component";
import {SidebarContainerComponent} from "./mvp-sidebar/sidebar-container.component";

export const appRoutes: Route[] = [
    { path: 'sidebar', component: SidebarComponent },
    { path: 'buttons', component: ButtonsComponent },
    { path: 'mvp-demo', component: DemoContainerComponent },
    { path: 'mvp-sidebar', component: SidebarContainerComponent },
];
