import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { menu } from './menu';
import {SidebarUiComponent} from "./sidebar-ui.component";

@Component({
	selector: 'app-sidebar-container',
	standalone: true,
	imports: [CommonModule, SidebarUiComponent],
	templateUrl: './sidebar-container.component.html',
})
export class SidebarContainerComponent {
	public selected = menu.neu;
	public count = 0;
	
	public updateSelected(item: menu) {
		// from here we can go even up the service level. 
		// in this example there is no service
		// possible is also to give the selected menu out through an eventemitter
		this.selected = item;
		this.count++;
	}
}
