import {Injectable} from '@angular/core';
import { menu } from './menu';
import {Subject} from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class SidebarPresenter {

  updateSelected = new Subject<menu>();
  
  constructor() { }
  
  handleClick(item: menu) {
    // handle click on menu item
    // decide what to do
    this.updateSelected.next(item);
  }
}
