import { ComponentFixture } from '@angular/core/testing';
import { expect } from '@jest/globals';
import { getElementFromFixture } from './helper';

export function notExistsAsHtmlElement(fixture: ComponentFixture<any>, domElement: string): void {
	expect(getElementFromFixture(fixture, domElement)).not.toBeInstanceOf(HTMLElement);
}

export function existsAsHtmlElement(fixture: ComponentFixture<any>, domElement: string): void {
	expect(getElementFromFixture(fixture, domElement)).toBeInstanceOf(HTMLElement);
}