package de.ozgcloud.alfa.loeschanforderung;

import de.ozgcloud.alfa.common.command.CommandBody;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Getter
@Builder
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@ToString
public class DeleteLoeschAnforderung implements CommandBody {

	public static final String DELETE_ATTACHED_ITEM_COMMAND_ID_FIELD = "deleteAttachedItemCommandId";
	public static final String CHANGE_STATUS_COMMAND_ID_FIELD = "changeStatusCommandId";

	private String deleteAttachedItemCommandId;
	private String changeStatusCommandId;
}
