package de.ozgcloud.alfa.export;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.file.OzgFile;

@Component
class ExportFilenameGenerator {

	@Autowired
	private UUIDConverter uuidConverter;

	public String generateExportFilename(OzgFile ozgFile) {
		return String.format("%s_%s", uuidConverter.fromObjectId(ozgFile.getId().toString()), ozgFile.getName());
	}
}
